#pragma once

#include "CoreMinimal.h"
#include "Engine/DataTable.h"
#include "UObject/SoftObjectPtr.h"
#include "EventObjectiveTrackerSkinUIData.generated.h"

class UTexture2D;
class UMaterialInstance;

USTRUCT(BlueprintType)
struct FEventObjectiveTrackerSkinUIData : public FTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UTexture2D> TargetRewardIcon;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UMaterialInstance> TargetRewardTint;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UMaterialInstance* TargetRewardMarker;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UMaterialInstance> TrackerGauge;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UTexture2D> TrackerObjectiveIcon;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString NextProgressionTextStyle;

public:
	DBDUIVIEWINTERFACES_API FEventObjectiveTrackerSkinUIData();
};

FORCEINLINE uint32 GetTypeHash(const FEventObjectiveTrackerSkinUIData) { return 0; }
